## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate pore

Name:           rust-pore
Version:        0.1.17
Release:        %autorelease
Summary:        Performance oriented reimplementation of repo

License:        Apache-2.0
URL:            https://crates.io/crates/pore
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump git2 dependency from 0.18 to 0.19
Patch:          pore-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A performance oriented reimplementation of repo.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT AND Unicode-DFS-2016 AND 0BSD AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/pore

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.17-3
- Bump git2 dependency from 0.18 to 0.19

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 11 2024 Michel Lind <salimma@fedoraproject.org> - 0.1.17-1
- Update to 0.1.17 (rhbz#2297249)

* Wed Jun 26 2024 Michel Lind <salimma@fedoraproject.org> - 0.1.16-1
- Update to 0.1.16 (rhbz#2290985)

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.11-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Mar 05 2024 Michel Lind <salimma@fedoraproject.org> - 0.1.11-1
- Update to 0.1.11 (rhbz#2264607)

* Tue Feb 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.10-3
- Rebuild for CVE-2024-24575 and CVE-2024-24577 in libgit2

* Sat Feb 03 2024 Michel Lind <salimma@fedoraproject.org> - 0.1.10-2
- Errata: Update to 0.1.10 (rhbz#2248633)

* Sat Feb 03 2024 Michel Lind <salimma@fedoraproject.org> - 0.1.10-1
- Update to 0.1.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.8-5
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.8-3
- Rebuild for tokio, h2, and openssl crate security updates

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.8-2
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2

* Fri Jan 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.6-3
- Instead of shelling out to cp, replace copy_dir with fs_extra as upstream
  now does

* Mon Jan 02 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.6-2
- Only generate LICENSE.dependencies on Fedora; EL9's rust-packaging is too
  old

* Thu Dec 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.6-1
- Initial Fedora package
## END: Generated by rpmautospec
